package com.wzj.soopin.member.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.wzj.soopin.member.domain.po.Fans;
import com.wzj.soopin.member.domain.vo.FansVO;

public interface IFansService extends IService<Fans> {

    /**
     * 关注
     */
    public boolean doFollow(Long myId, Long vloggerId);

    /**
     * 取关
     */
    public boolean doCancel(Long myId, Long vloggerId);

    /**
     * 查询用户是否关注博主
     */
    public boolean queryDoIFollowVloger(Long myId, Long vloggerId);

    public boolean queryDoIFollowVloger(String  myId, String vloggerId);

    /**
     * 查询我的粉丝列表
     */
    public IPage<FansVO> queryMyFans(Long myId,
                                       Integer page,
                                       Integer pageSize);


    Long countFansByVloggerId(Long vloggerId);

    // 拉黑前只删除“我关注对方”的关系
    void removeFansRelationship(Long myId, Long vloggerId);
}
